View Single Post
Old 07-25-2010, 09:46 PM   #9
yifanlu
Kindle Dissector
yifanlu can program the VCR without an owner's manual.yifanlu can program the VCR without an owner's manual.yifanlu can program the VCR without an owner's manual.yifanlu can program the VCR without an owner's manual.yifanlu can program the VCR without an owner's manual.yifanlu can program the VCR without an owner's manual.yifanlu can program the VCR without an owner's manual.yifanlu can program the VCR without an owner's manual.yifanlu can program the VCR without an owner's manual.yifanlu can program the VCR without an owner's manual.yifanlu can program the VCR without an owner's manual.
 
Posts: 662
Karma: 170717
Join Date: Jul 2010
Device: Amazon Kindle 3
So, yea, after dumping messages, I see "Linux version 2.6.22.19-lab126 (root@ubuntu) (gcc version 4.4.1 (Sourcery G++ Lite 2010q1-202) ) #1 PREEMPT Sun Jul 25 12:25:32 UTC 2010"

Yeah, my kernel is loaded! Then

Quote:
100725:211602 ppp_generic: disagrees about version of symbol skb_copy_bits
100725:211602 ppp_generic: Unknown symbol skb_copy_bits
100725:211602 ppp_generic: disagrees about version of symbol __netif_schedule
100725:211602 ppp_generic: Unknown symbol __netif_schedule
100725:211602 ppp_generic: disagrees about version of symbol unregister_netdev
100725:211602 ppp_generic: Unknown symbol unregister_netdev
100725:211602 ppp_generic: disagrees about version of symbol skb_dequeue
100725:211602 ppp_generic: Unknown symbol skb_dequeue
100725:211602 ppp_generic: disagrees about version of symbol skb_pull_rcsum
100725:211602 ppp_generic: Unknown symbol skb_pull_rcsum
100725:211602 ppp_generic: disagrees about version of symbol skb_under_panic
100725:211602 ppp_generic: Unknown symbol skb_under_panic
100725:211602 ppp_generic: disagrees about version of symbol kfree_skb
100725:211602 ppp_generic: Unknown symbol kfree_skb
100725:211602 ppp_generic: disagrees about version of symbol __alloc_skb
100725:211602 ppp_generic: Unknown symbol __alloc_skb
100725:211602 ppp_generic: disagrees about version of symbol skb_queue_tail
100725:211602 ppp_generic: Unknown symbol skb_queue_tail
100725:211602 ppp_generic: disagrees about version of symbol skb_over_panic
100725:211602 ppp_generic: Unknown symbol skb_over_panic
100725:211602 ppp_generic: disagrees about version of symbol register_netdev
100725:211602 ppp_generic: Unknown symbol register_netdev
100725:211602 ppp_generic: disagrees about version of symbol free_netdev
100725:211602 ppp_generic: Unknown symbol free_netdev
100725:211602 ppp_generic: disagrees about version of symbol skb_queue_purge
100725:211602 ppp_generic: Unknown symbol skb_queue_purge
100725:211602 ppp_generic: disagrees about version of symbol __pskb_pull_tail
100725:211602 ppp_generic: Unknown symbol __pskb_pull_tail
100725:211602 ppp_generic: disagrees about version of symbol netif_rx
100725:211602 ppp_generic: Unknown symbol netif_rx
100725:211602 ppp_generic: disagrees about version of symbol alloc_netdev
100725:211602 ppp_generic: Unknown symbol alloc_netdev
100725:211602 ppp_generic: disagrees about version of symbol skb_queue_head
100725:211602 ppp_generic: Unknown symbol skb_queue_head
100725:211602 modprobe: FATAL: Error inserting ppp_generic (/lib/modules/2.6.22.19-lab126/kernel/drivers/net/ppp_generic.ko): Unknown symbol in module, or unknown parameter (see dmesg)
100725:211602 lipc-get-prop[2969]: I lipc:giprop=localTimeOffset, source=com.lab126.wan:Get int property
100725:211602 system: I loginfo:ltoget:lto=-18000: local time offset has been read
100725:211602 lipc-set-prop[2978]: I lipc:siprop=wakeUp, source=com.lab126.powerd, value=1:Set int property
100726:021602 powerd[1767]: W def:unhandle:state=e_wake_up, evt=ACTIVE:Unhandled event e_wake_up in state ACTIVE
100725:211602 lipc-set-prop[2978]: I lipc:ssprop=wakeUp, source=com.lab126.powerd:Set string property
100725:211602 powerd[1767]: W lipctrop=setwakeUpStr:Property found but with a differnt type
100725:211602 lipc-set-prop[2978]: E def:fail:source=com.lab126.powerd, prop=wakeUp:Failed to set property
100725:211603 pppd[2925]: This system lacks kernel support for PPP. This could be because the PPP kernel module could not be loaded, or because PPP was not included in the kernel configuration. If PPP was included as a module, try `/sbin/modprobe -v ppp'. If that fails, check that ppp.o exists in /lib/modules/`uname -r`/net. See README.linux file in the ppp distribution for more details.
Dammit, I forgot to copy the new modules.


@zetareticuli, before compiling the kernel, if you do "make menuconfig", you get a screen with everything you want supported. However, it has to work with the hardware, and so far I only see USB ports and a mini pci-e port (for the wwan). So, let's say I have a custom WWAN card that I want to use on the kindle. I select it in menuconfig, and install it, then the kindle will see it.

Last edited by yifanlu; 07-25-2010 at 10:26 PM.
yifanlu is offline   Reply With Quote